<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-12">
	            <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                         <i class="material-icons">poll</i>
	                    </div>
						    <h4 class="card-title">
						        <span jhiTranslate="sisteminformasiakademikApp.report.home.title4">Besar Bayars</span>
						    </h4>
					</div>
					<br/>
					 <div class="col-md-12 float-right">
            			<form  name="editForm" role="form" novalidate [formGroup]="editForm">
            			<div class="input-group w-100">
            					<mat-label> &nbsp; &nbsp;Nama santri : &nbsp;</mat-label>
            					<div class="col-md-4">
							  		<input id="field_employee" type="text" class="form-control border" [ngbTypeahead]="typeAheadSearch"  placeholder="{{ 'sisteminformasiakademikApp.tagihan.home.searchName' | translate }}"
									[inputFormatter]="typeAheadFormatter" [resultFormatter]="typeAheadFormatter" [editable]='false' (selectItem)="onSelectSiswa($event.item)"/>
            					</div>
	 		                    &nbsp; &nbsp; &nbsp; <mat-label>Th. Ajaran : &nbsp;</mat-label>
				                    <select class="form-control" id="field_ta" name="ta" formControlName="ta">
				                        <option  [ngValue]="" [disabled]="true" >Pilih tahun ajaran</option>
				                        <option value="2020-2021">2020/2021</option>
				                        <option value="2021-2022">2021/2022</option>
				                        <option value="2022-2023">2022/2023</option>
				                        <option value="2023-2024">2023/2024</option>
				                        <option value="2022-2023">2024/2025</option>
				                        <option value="2023-2024">2025/2026</option>
				                    </select>
	 		                    &nbsp; &nbsp; &nbsp; <mat-label>Status : &nbsp;</mat-label>
				                    <select class="form-control" id="field_status" name="status" formControlName="status">
				                        <option  [ngValue]="" [disabled]="true" >Pilih Status</option>
				                        <option value="LUNAS">LUNAS</option>
				                        <option value="BELUMBAYAR">BELUM BAYAR</option>
				                        <option value="MENUNGGU">PROSES</option>
				                    </select>&nbsp; &nbsp; &nbsp;
				                    <button id="jh-create-entity"  class="btn btn-outline-primary btn-sm" (click)="search()">
							            <i class="material-icons">search</i>
							            <span jhiTranslate="sisteminformasiakademikApp.report.cari">
							            	Cari
							            </span>
							        </button>
							        <button id="jh-create-entity"  class="btn btn-outline-primary btn-sm"  (click)="download()">
							            <i class="material-icons">cloud_download</i>
							            <span jhiTranslate="sisteminformasiakademikApp.report.downloadtagihan">
							            	Cari
							            </span>
							        </button>
		                	</div>
					    </form>
					  </div>
				    <jhi-alert-error></jhi-alert-error>
				    <jhi-alert></jhi-alert>
			
				<div class="card-body">
				<div class="row">
					<div class="col-md-6">
			      		<div class="card">
			       		<div class="card-header card-header-rose card-header-icon">
						      <h6 class="card-title">
						        <mat-label>Total Pembayaran</mat-label>
						    </h6>
			  				 </div><hr>
			        	<div class="card-body">
						        <mat-label>Rp. </mat-label>
						        <mat-label>{{totTransaksiVa| currency:' ' }}</mat-label>
			        		</div>
			  	        </div>
			  	    </div>
	            </div>
				<div class="alert alert-warning" *ngIf="report?.length === 0">
			        <span>No report found</span>
			    </div>
			    <div class="material-datatables table-responsive">
			        <table class="table table-bordered table-hover" aria-describedby="page-heading">
			            <thead class="thead-light">
			            <tr>
				            <th scope="col" class="text-center"><span>No</span></th>
				            <th scope="col" class="text-center"><span>Item Pembayaran</span></th>
				            <th scope="col" class="text-center"><span>Tangal Bayar</span></th>
				            <th scope="col" class="text-center"><span>Pukul Bayar</span></th>
				            <th scope="col" class="text-center"><span>Jumlah (Rp.)</span></th>
			            </tr>
			            </thead>
			            
			            <tr *ngFor="let rep of report; let i= index">
			                <td class="text-center">{{((page-1) * itemsPerPage)+(i+1) }}</td>
			                <td class="text-left">
			                	<div>{{rep.jenisPembayaran}}</div>
			               	</td>
			                <td>
			                	<div>{{rep.tglBayar | date : 'dd MMMM yyyy'}}</div>
			               	</td>
			                <td>
			                	<div>{{rep.tglBayar | date : 'HH:mm:ss'}}</div>
			               	</td>
			                <td class="text-right">
			                <span>{{rep.nominalPembayaran| currency:' ' }}</span>	
			               	</td>
			            </tr>
			            </tbody>
			        </table>
			        <!-- <table class="table table-hover">
			        	<thead  class="thead-light">
			            	<tr>
			            	<td width="75%" scope="col" class="text-right">Total Penerimaan</td>
			            	<td width="25%">
			                	<div class="row">
				                	<div class="col-md-3">Rp. </div>
				                	<div class="col-md-8 text-right">{{total}}</div>
			                	</div>
			            	</td>
			            	</tr>
			            </thead>
			        </table> -->
			    <br/>
			    </div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
			    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
